package com.jojubanking.boot.module.system.convert.hospital;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.hospital.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.hospital.HospitalDO;

/**
 * 医院信息 Convert
 *
 * @author admin
 */
@Mapper
public interface HospitalConvert {

    HospitalConvert INSTANCE = Mappers.getMapper(HospitalConvert.class);

    HospitalDO convert(HospitalCreateReqVO bean);

    HospitalDO convert(HospitalUpdateReqVO bean);

    HospitalRespVO convert(HospitalDO bean);

    List<HospitalRespVO> convertList(List<HospitalDO> list);

    PageResult<HospitalRespVO> convertPage(PageResult<HospitalDO> page);

    List<HospitalExcelVO> convertList02(List<HospitalDO> list);

}
